// Core component styles
const coreStyles = {
    container: {
        flexDirection: 'row',
    },

    disabledContainer: {
    },

    icon: {
        fontSize: 16,
    },

    indicator: {
    },

    text: {
        fontSize: 16,
        fontWeight: 'bold',
    },

    primaryContainer: {
        backgroundColor: '#006e96',
        borderColor: '#006e96',
    },
    primaryIcon: {
        color: '#fff',
    },
    primaryText: {
        color: '#fff',
    },

    secondaryContainer: {
        backgroundColor: 'transparent',
        borderColor: '#006e96',
    },
    secondaryIcon: {
        color: '#006e96',
    },
    secondaryText: {
        color: '#006e96',
    },
};

const getStyles = (contextStyles = {}, styleArgs) => {
    const {
        variant = 'primary',
        padLeftText = false,
        padRightText = false,
        padIndicator = false,
    } = styleArgs;
    const containerStyles = variant === 'primary' ? coreStyles.primaryContainer : coreStyles.secondaryContainer;
    const iconStyles = variant === 'primary' ? coreStyles.primaryIcon : coreStyles.secondaryIcon;
    const textStyles = variant === 'primary' ? coreStyles.primaryText : coreStyles.secondaryText;


    return {
        container: {
            ...coreStyles.container,
            ...containerStyles,
            ...contextStyles.container,
        },

        disabledContainer: {
            ...coreStyles.container,
            ...contextStyles.container,
            ...coreStyles.disabledContainer,
            ...contextStyles.disabledContainer,
        },

        icon: {
            ...coreStyles.icon,
            ...iconStyles,
            ...contextStyles.icon,
        },

        indicator: {
            ...coreStyles.indicator,
            marginLeft: padIndicator ? 8 : 0,
            ...contextStyles.indicator,
        },

        text: {
            ...coreStyles.text,
            marginLeft: padLeftText ? 8 : 0,
            marginRight: padRightText ? 8 : 0,
            ...textStyles,
            ...contextStyles.text,
        },
    };
};

export default getStyles;
