// Core component styles
const coreStyles = {
    container: {
        flexDirection: 'row',
        justifyContent: 'center',
        borderRadius: 3,
        borderWidth: 1,
        padding: 10,
        alignItems: 'center',
    },

    disabledContainer: {
        opacity: 0.5,
    },
};

/**
 * Combine component context styles with core styles
 * @param {Object} contextStyles
 * @return {Object}
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        disabledContainer: {
            ...coreStyles.container,
            ...contextStyles.container,
            ...coreStyles.disabledContainer,
            ...contextStyles.disabledContainer,
        },
    };
};

export default getStyles;
