// Core component styles
const coreStyles = {
    container: {
        flexDirection: 'row',
        justifyContent: 'space-between',
        alignItems: 'center',
        paddingHorizontal: 16,
        paddingVertical: 8,

        // Themed
        borderWidth: 1,
        borderStyle: 'solid',
        borderColor: '#000',
        borderRadius: 6,
    },

    disabledContainer: {
        opacity: 0.5,
    },

    icon: {
        flex: 0,
        paddingLeft: 5,
    },

    loadingContainer: {
        shadowOpacity: 0,
        backgroundColor: 'transparent',
    },

    menu: {
    },

    menuIcon: {
    },

    menuItem: {
    },

    menuOverlay: {
    },

    menuText: {
    },

    text: {
        color: '#000',
    },
};

/**
 * Combine component context styles with core styles
 * @param {Object} contextStyles
 * @return {Object}
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        disabledContainer: {
            ...coreStyles.container,
            ...contextStyles.container,
            ...coreStyles.disabledContainer,
        },

        icon: {
            ...coreStyles.icon,
            ...contextStyles.icon,
        },

        loadingContainer: {
            ...coreStyles.loadingContainer,
            ...contextStyles.loadingContainer,
        },

        menu: {
            ...coreStyles.menu,
            ...contextStyles.menu,
        },

        menuIcon: {
            ...coreStyles.menuIcon,
            ...contextStyles.menuIcon,
        },

        menuItem: {
            ...coreStyles.menuItem,
            ...contextStyles.menuItem,
        },

        menuOverlay: {
            ...coreStyles.menuOverlay,
            ...contextStyles.menuOverlay,
        },

        menuText: {
            ...coreStyles.menuText,
            ...contextStyles.menuText,
        },

        text: {
            ...coreStyles.text,
            ...contextStyles.text,
        },
    };
};

export default getStyles;
