#### Gauge Chart

A control is needed that will enable the user to see a gauge representation of a data set.

Examples:

https://echarts.apache.org/examples/en/editor.html?c=gauge

https://echarts.apache.org/examples/en/editor.html?c=gauge-car

https://echarts.apache.org/examples/en/editor.html?c=gauge-car-dark


It should appear by default:

- zero angle begins at 3 o'clock increasing counterclockwise
- start angle is at 225 deg (~7:30)
- end angle is at -45 deg (~4:30)
- minimum value of zero (0)
- maximum value of one hundred (100)
- initial current value of zero (0)
- with a current value text label displaying the current value centered below the indicator
- with axis primary ticks with numeric labels every ten (10) spaces
- with axis secondary ticks with no labels every two (2) spaces
- with no title
- with no subtitle
- with no legend
- with a transparent background
- animated

A user should be able to:

- see a text label with a given value displayed centered above the indicator (typically displays measurement units)
- not see a current value text label below the indicator
- not see axis primary ticks
- not see axis secondary ticks
- see the indicator visually animate to the represented value
- not see the indicator visually animate and immediately see the represented value
- see the chart displayed in the counter clockwise direction
- see a background image showing the gauge measurements (possible example: https://echarts.apache.org/examples/en/editor.html?c=pie-pattern)

The control should be able to:

- set axis tick label text
- set axis primary tick intervals
- set axis secondary tick intervals
- format gauge label text (degrees, percent, m/kph, etc)
- accept styling to change the appearance of the chart background
- accept styling to change the appearance of the gauge axis line
    - color
    - width
    - opacity
- accept styling to change the appearance of the gauge axis ticks
    - length
    - color
    - width
    - opacity
- accept styling to change the appearance of the gauge indicator
    - width
    - length
    - color
    - borderColor
    - borderWidth
    - opacity
- accept styling to change the appearance of the gauge axis ticks label text
    - color
    - font size
    - formatter
- accept styling to change the appearance and position of the gauge current value text below the indicator
    - width
    - height
    - color
    - font size
    - formatter
    - horizontal position
    - vertical position
- accept styling to change the appearance and position of the gauge title text above the indicator
    - width
    - height
    - color
    - font size
    - horizontal position
    - vertical position