// Core component styles
const coreStyles = {
    container: {
    },

    image: {
    },

    loadingIndicator: {
        size: 'large',

        // Themed
        color: '#000',
    },
};

/**
 * Combine component context styles with core styles
 * @param {Object} contextStyles
 * @param {Number} height
 * @param {Number} width
 * @return {Object}
 */
const getStyles = (contextStyles = {}, height = 0, width = 0) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        image: {
            ...coreStyles.image,
            height,
            width,
            ...contextStyles.image,
        },

        loadingIndicator: {
            ...coreStyles.loadingIndicator,
            ...contextStyles.loadingIndicator,
        },
    };
};

export default getStyles;
