#### Line Chart

A control is needed that will enable the user to see a line chart representation of data sets.

(example: https://echarts.apache.org/examples/en/editor.html?c=line-simple)

It should appear by default:

- with X (horizontal) and Y (vertical) gridlines
- with X axis labels (default 'X')
- with Y axis labels (default 'Y')
- with X axis grid values (text on each grid tick, default text style, not updatable)
- with Y axis grid values (text on each grid tick, default text style, not updatable)
- with no title
- with no subtitle
- with no legend
- with a transparent background
- with lines displayed horizontally from the left
- animated

A user should be able to:

- see a single line connected to circular points of various values (simple)
- see multiple lines connected to circular points of various values (stacked)
- see the lines visually animate to their represented values
- not see the lines visually animate and immediately see their represented values
- press on a circular point
    - then see the point highlight
    - then see information about the values for that point appear in a tooltip bubble
    - then see a button appear below the chart with the text:
        - Open details for {name}: {value}
    - then press on the button below the chart to run an action
- see a horizontally displayed legend above the chart
- pinch to zoom in/out chart ranges

The control should be able to:

- accept styling to change the appearance of the chart background
- accept styling to change the appearance of the individual lines
    - color
    - width
    - opacity
- accept styling to change the appearance of the circular points
    - color
    - hightlight color (after pressed)
    - size
- set X axis label text (default text style, not updatable)
- set Y axis label text (default text style, not updatable)
- set X axis minimum range
- set X axis maximum range
- set Y axis minimum range
- set Y axis maximum range