// Core component styles
const coreStyles = {
    container: {
        backgroundColor: '#fff',
        minHeight: 48,
        paddingHorizontal: 16,
        paddingVertical: 8,
        flex: 1,
        alignItems: 'center',
        flexDirection: 'row',
    },

    icon: {
        marginRight: 8,
    },

    text: {
    },

    selectedContainer: {
        backgroundColor: '#999',
    },

    selectedIcon: {
    },

    selectedText: {
    },
};

/**
 * Combine component context styles with core styles
 * @param {Object} contextStyles
 * @param {Boolean} reverse
 * @return {Object}
 */
const getStyles = (contextStyles = {}, reverse = false) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
            justifyContent: reverse ? 'space-between' : 'flex-start',
        },

        icon: {
            ...coreStyles.icon,
            ...contextStyles.icon,
            ...{
                marginLeft: reverse ? 8 : 0,
            },
        },

        text: {
            ...coreStyles.text,
            ...contextStyles.text,
        },

        selectedContainer: {
            ...coreStyles.container,
            ...coreStyles.selectedContainer,
            ...contextStyles.container,
            ...contextStyles.selectedContainer,
        },

        selectedIcon: {
            ...coreStyles.icon,
            ...coreStyles.selectedIcon,
            ...contextStyles.icon,
            ...contextStyles.selectedIcon,
        },

        selectedText: {
            ...coreStyles.text,
            ...coreStyles.selectedText,
            ...contextStyles.text,
            ...contextStyles.selectedText,
        },
    };
};

export default getStyles;
