// Core component styles
const coreStyles = {
    overlay: {
    },

    modal: {
        position: 'absolute',
        borderRadius: 2,
        shadowOpacity: 0.5,
        shadowOffset: {
            width: 2,
            height: 2,
        },
        shadowRadius: 1,

        // Themed
        backgroundColor: '#fff',
        shadowColor: '#000',
    },
};

/**
 * Combine component context styles with core styles
 * @param {Object} contextStyles
 * @param  {Boolean} transparent
 * @return {Object}
 */
const getStyles = (contextStyles = {}, transparent) => {
    return {
        overlay: {
            ...coreStyles.overlay,
            backgroundColor: transparent ? 'transparent' : 'rgba(0,0,0,0.15)',
            ...contextStyles.overlay,
        },
        modal: {
            ...coreStyles.modal,
            ...contextStyles.modal,
        },
    };
};

export default getStyles;
