// Core component styles
const coreStyles = {
    container: {
    },

    row: {
        flexDirection: 'row',
    },

    column: {
    },
};

/**
 * Combine component context styles with core styles
 * @param {Object} contextStyles
 * @return {Object}
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        row: {
            ...coreStyles.row,
            ...contextStyles.row,
        },

        column: {
            ...coreStyles.column,
            ...contextStyles.column,
        },
    };
};

export default getStyles;
