// Core component styles
const coreStyles = {
    container: {
        flexDirection: 'row',
        alignItems: 'center',
    },

    disabledContainer: {
        opacity: 0.5,
    },

    outerButton: {
        alignItems: 'center',
        justifyContent: 'center',

        // Themed
        height: 24,
        width: 24,
        borderRadius: 24 / 2,
        borderWidth: 2,
        borderColor: '#006e96',
    },

    innerButton: {

        // Themed
        height: 24 / 2,
        width: 24 / 2,
        borderRadius: 24 / 4,
        backgroundColor: '#006e96',
    },

    text: {
        marginLeft: 5,
    },
};

const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        disabledContainer: {
            ...coreStyles.container,
            ...contextStyles.container,
            ...coreStyles.disabledContainer,
            ...contextStyles.disabledContainer,
        },

        outerButton: {
            ...coreStyles.outerButton,
            ...contextStyles.outerButton,
        },

        innerButton: {
            ...coreStyles.innerButton,
            ...contextStyles.innerButton,
        },

        text: {
            ...coreStyles.text,
            ...contextStyles.text,
        },
    };
};

export default getStyles;
