#### Scatter Bubble Chart

A control is needed that will enable the user to see a scatter/bubble chart representation of data sets.

Examples:

https://echarts.apache.org/examples/en/editor.html?c=scatter-simple

https://echarts.apache.org/examples/en/editor.html?c=bubble-gradient

It should appear by default:

- with X (horizontal) and Y (vertical) gridlines
- with X axis labels (default 'X')
- with Y axis labels (default 'Y')
- with X axis grid values (text on each grid tick, default text style, not updatable)
- with Y axis grid values (text on each grid tick, default text style, not updatable)
- with no title
- with no subtitle
- with no legend
- with a transparent background
- with bubbles displayed horizontally from the left
- animated

A user should be able to:

- see bubbles of consistent sizes at various values on the chart
- see bubbles of multiple sizes at various values on the chart
- see the bubbles visually animate to their represented values
- not see the bubbles visually animate and immediately see their represented values
- press on a bubble
    - then see the bubble highlight
    - then see information about the values for that bubble appear in a tooltip bubble
    - then see a button appear below the chart with the text:
        - Open details for {name}: {value}
    - then press on the button below the chart to run an action
- see a text label with the bubble value displayed on a bubble
- see a horizontally displayed legend above the chart
- pinch to zoom in/out chart ranges

The control should be able to:

- accept styling to change the appearance of the chart background
- accept styling to change the appearance and size of the individual bubbles
    - size
    - color
    - border width
    - border color
    - opacity
    - highlight color (after pressed)
- accept styling to change the appearance of the individual bubble text labels
    - color
    - font size
    - width
- accept a format string for formatting the display of the bubble text label
- set X axis label text (default text style, not updatable)
- set Y axis label text (default text style, not updatable)
- set X axis minimum range
- set X axis maximum range
- set Y axis minimum range
- set Y axis maximum range