// Core component styles
const coreStyles = {
    container: {
        flex: 1,
        flexDirection: 'row',
        alignItems: 'center',
        backgroundColor: '#fff',
        position: 'absolute',
        top: 10,
        left: 10,
        width: '73%',
        opacity: .8,
    },

    icon: {
        padding: 10,
    },

    input: {
        flex: 1,
        paddingTop: 10,
        paddingRight: 10,
        paddingBottom: 10,
        paddingLeft: 0,
        backgroundColor: '#fff',
        color: '#424242',
    },
};

/**
 * Combine component context styles with core styles
 * @param {Object} contextStyles
 * @return {Object}
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        icon: {
            ...coreStyles.icon,
            ...contextStyles.icon,
        },

        input: {
            ...coreStyles.input,
            ...contextStyles.input,
        },
    };
};

export default getStyles;
