// Core component styles
const coreStyles = {
    container: {
        flexDirection: 'row',
        backgroundColor: '#fff',
        padding: 5,
        alignItems: 'center',
        width: 300,
    },

    buttonContainer: {
    },

    textContainer: {
        paddingLeft: 10,
        flexDirection: 'column',
        width: 200,
    },
};

/**
 * Combine component context styles with core styles
 * @param {Object} contextStyles
 * @return {Object}
 */
const getStyles = (contextStyles = {}) => {
    return {
        baseContainer: {
            ...coreStyles.baseContainer,
            ...contextStyles.baseContainer,
        },

        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        buttonContainer: {
            ...coreStyles.buttonContainer,
            ...contextStyles.buttonContainer,
        },

        textContainer: {
            ...coreStyles.textContainer,
            ...contextStyles.textContainer,
        },
    };
};

export default getStyles;
