// Core component styles
const coreStyles = {
    container: {
        flex: 1,
        minWidth: 250,
        minHeight: 250,
    },
    map: {
        position: 'absolute',
        top: 0,
        right: 0,
        bottom: 0,
        left: 0,
    },
};

/**
 * Combine component context styles with core styles
 * @param {Object} contextStyles
 * @return {Object}
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        map: {
            ...coreStyles.map,
            ...contextStyles.map,
        },
    };
};

export default getStyles;
