// Core component styles
const coreStyles = {
    container: {
        position: 'absolute',
        top: 10,
        right: 10,
        height: 70,
        width: 70,
    },
    mapToogle: {
        position: 'absolute',
        top: 0,
        right: 0,
        bottom: 0,
        left: 0,
    },
};

/**
 * Combine component context styles with core styles
 * @param {Object} contextStyles
 * @return {Object}
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        mapToogle: {
            ...coreStyles.mapToogle,
            ...contextStyles.mapToogle,
        },
    };
};

export default getStyles;
