import React from 'react';
import PropTypes from 'prop-types';
import { Polyline } from 'react-native-maps';

/**
 * A control which display routes on a map
 */
export default class Routes extends React.Component {
    static propTypes = {
        /** Array of routes that contains information to display paths between selected points */
        routes: PropTypes.arrayOf(PropTypes.shape({
            /** Coordinates array of the route to be displayed */
            coordinates: PropTypes.array,

            /** Color of the route to be displayed */
            color: PropTypes.string,
        })),

        /** Width of the route */
        strokeWidth: PropTypes.number,
    };

    static defaultProps = {
        routes: [],
        strokeWidth: 1,
    };

    render() {
        const {
            routes, strokeWidth,
        } = this.props;
        return routes.map((route, idx) => (
            <Polyline
                key={ `line_${idx + 1}` }
                coordinates={ route.coordinates }
                strokeWidth={ strokeWidth }
                strokeColor={ route.color } />
        ));
    }
}
