import React from 'react';
import PropTypes from 'prop-types';

import getStyles from './AppDrawer.styles';

/**
 * TODO: add description
 */
const AppDrawer = (props) => {
    const {
        children,
        contextStyles,
        ...rest
    } = props;

    const styles = getStyles(contextStyles);

    // Build container props
    const containerProps = {
        ...rest,
        style: { ...styles },
    };

    return (
        <div { ...containerProps }>
            <p>App Drawer</p>
            { children }
        </div>
    );
};

AppDrawer.propTypes = {
    children: PropTypes.node,
    contextStyles: PropTypes.shape({
        container: PropTypes.object,
    }),
};

AppDrawer.defaultProps = {
    contextStyles: {},
};

export default AppDrawer;
