// Core component styles
const coreStyles = {
    container: {
        display: 'flex',
        position: 'relative',
    },
    menu: {
        maxHeight: '300px',
        overflow: 'auto',
    },
    menuOptions: {},
    selectedItem: {},
    popper: {
        position: 'absolute',
        width: '100%',
    },
    textFieldContainer: {
        width: '100%',
    },
};

/**
 * Helper method to get styles for the ComboBox
 * @param {Object} contextStyles - Custom styles for the ComboBox component
 */
const getStyles = (contextStyles) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },
        menu: {
            ...coreStyles.menu,
            ...contextStyles.menu,
        },
        menuOptions: {
            ...coreStyles.menuOptions,
            ...contextStyles.menuOptions,
        },
        selectedItem: {
            ...coreStyles.selectedItem,
            ...contextStyles.selectedItem,
        },
        popper: {
            ...coreStyles.popper,
            ...contextStyles.popper,
        },
        textFieldContainer: {
            ...coreStyles.textFieldContainer,
            ...contextStyles.textFieldContainer,
        },
    };
};

export default getStyles;
