// Core component styles
const coreStyles = {
    container: {
        display: 'flex',
    },
    menu: {},
    menuOptions: {},
    selectedItem: {},
};

/**
 * Helper method to get styles for the DropDown
 * @param {Object} contextStyles - Custom styles for the DropDown component
 */
const getStyles = (contextStyles) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },
        menu: {
            ...coreStyles.menu,
            ...contextStyles.menu,
        },
        menuOptions: {
            ...coreStyles.menuOptions,
            ...contextStyles.menuOptions,
        },
        selectedItem: {
            ...coreStyles.selectedItem,
            ...contextStyles.selectedItem,
        },
    };
};

export default getStyles;
