// Core component styles
const coreStyles = {
    container: {
    },

    inputContainer: {
        flexDirection: 'row',
        justifyContent: 'flex-start',
        alignItems: 'center',
        paddingHorizontal: 13,
        paddingVertical: 6,

        // Themed
        borderWidth: 1,
        borderStyle: 'solid',
        borderColor: '#006e96',
        borderRadius: 6,
    },

    inputText: {
    },

    iconContainer: {
    },

    icon: {
        paddingLeft: 5,
    },
};

/**
 * Helper method to get styles for this component
 * @param {Object} contextStyles - Styles for this component
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        inputContainer: {
            ...coreStyles.inputContainer,
            ...contextStyles.inputContainer,
        },

        inputText: {
            ...coreStyles.inputText,
            ...contextStyles.inputText,
        },

        iconContainer: {
            ...coreStyles.iconContainer,
            ...contextStyles.iconContainer,
        },

        icon: {
            ...coreStyles.icon,
            ...contextStyles.icon,
        },
    };
};

export default getStyles;