// Core component styles
const coreStyles = {
    overlay: {},
    modal: {
        maxHeight: '60%',
        maxWidth: '60%',
        borderRadius: '5px',
        padding: '5px',
        backgroundColor: '#ffffff',
    },
};

/**
 * @typedef {Object} StylesObject
 * @property {Object} modal -  styles for modal
 * @property {Object} overlay - styles for overlay
 */
/**
 * Combines coreStyles and contextStyles
 * @param {StylesObject} contextStyles
 * @param {Boolean} isTransparentOverlay - Enables fully transparent overlay
 */
const getStyles = (contextStyles, isTransparentOverlay = false) => {
    return {
        overlay: {
            ...coreStyles.overlay,
            backgroundColor: isTransparentOverlay ? 'transparent' : 'rgba(0,0,0,0.15)',
            ...contextStyles.overlay,
        },
        modal: {
            ...coreStyles.modal,
            ...contextStyles.modal,
        },
    };
};

export default getStyles;
