// Core component styles
const coreStyles = {
    overlay: {},

    modal: {
        maxHeight: '60%',
        maxWidth: '60%',
        borderRadius: '5px',
        padding: '5px',
        backgroundColor: '#414042',
        shadowColor: '#000000',
    },

    loadingText: {
        textAlign: 'center',
    },

    loadingTextContainer: {},

    spinningIndicator: {},

    spinningIndicatorContainer: {
        marginTop: '5px',
        padding: '2px',
        alignSelf: 'center',
        overflow: 'hidden',
    },
};

/**
 * @typedef {Object} StylesObject
 * @property {Object} modal -  styles for modal
 * @property {Object} overlay - styles for overlay
 * @property {Object} loadingTextContainer - styles for loadingTextContainer
 * @property {Object} loadingText - styles for loadingText
 * @property {Object} spinningIndicatorContainer - styles for spinningIndicatorContainer
 * @property {Object} spinningIndicator - styles for spinningIndicator
 */
/**
 * Combines coreStyles and contextStyles.
 * @param {StylesObject} contextStyles
 */
const getStyles = (contextStyles = {}) => {
    return {
        // style for modal
        modal: {
            ...coreStyles.modal,
            ...contextStyles.modal,
        },

        // style for overlay
        overlay: {
            ...coreStyles.overlay,
            ...contextStyles.overlay,
        },

        // style for loading text container
        loadingTextContainer: {
            ...coreStyles.loadingTextContainer,
            ...contextStyles.loadingTextContainer,
        },

        // style for loading text
        loadingText: {
            ...coreStyles.loadingText,
            ...contextStyles.loadingText,
        },

        // style for spinningIndicator container
        spinningIndicatorContainer: {
            ...coreStyles.spinningIndicatorContainer,
            ...contextStyles.spinningIndicatorContainer,
        },

        // style for spinningIndicator
        spinningIndicator: {
            ...coreStyles.spinningIndicator,
            ...contextStyles.spinningIndicator,
        },
    };
};

export default getStyles;
