// Core component styles
const coreStyles = {
    container: {
    },

    text: {
    },
};

/**
* Helper method to get the styles of textlabel element
* @param {object} contextStyles - Context styles for the text label
* @param {number} numberOfLines - Number of lines text should display
*/
const getStyles = (contextStyles, numberOfLines) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        text: {
            ...coreStyles.text,
            ...contextStyles.text,
            ...(numberOfLines ? getNumberOfLinesStyles(numberOfLines) : {}),
        },

    };
};

/**
* Helper method to get the styles needed to wrap the text for given number of lines
* @param {number} numberOfLines - Number of lines text should display
*/
const getNumberOfLinesStyles = (numberOfLines) => {
    return {
        'display': '-webkit-box',
        'WebkitBoxOrient': 'vertical',
        'WebkitLineClamp': numberOfLines.toString(),
        'overflow': 'hidden',
    };
};

export {
    getStyles, getNumberOfLinesStyles,
};
