// Core component styles
const coreStyles = {
    container: {
        flexDirection: 'row',
        justifyContent: 'space-between',
        alignItems: 'center',
        width: 'fit-content',
    },

    input: {
        verticalAlign: 'middle',
        position: 'relative',
        trackColor: '#d1d3d4',
        thumbColor: '#006e96',
    },
};

/**
 * Combines coreStyles and contextStyles
 * @param {Object} contextStyles
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        input: {
            ...coreStyles.input,
            ...contextStyles.input,
        },
    };
};

export default getStyles;
